ERROR de 13.10 a 14.04 LTS - No se han podido instalar las actualizaciones

Imagen de alemsqdt
0 puntos

Hola acabo de actualizar mi sistema a la versión 14.04 LTS desde 13.10. Durante la actualización me saltó varias veces este mismo error para distintos paquetes (ej. para el paquete "ca-certificates-java"):

"No se ha podido instalar <> La actualización continuará, pero es posible que el paquete <> no se encuentre en un estado funcional. Considere la posibilidad de enviar un informe de error a cerca de esto.
dependency problems - leaving unconfigured

Al finalizar la actualización saltó el siguiente aviso:

"No se han podido instalar las actualizaciones. Su sistema puede haber quedado en un estado inestable." y algo más que no alcancé a copiar...

Hasta ahora todo anda normalmente, pero me extraña mucho que no noto absolutamente ningún cambio en apariencia o funcionamiento, me fijé en algunas novedades de 14.04 (e.g que los menús aparezcan en la ventana desmaximizada) y no funcionan en mi sistema, parece que volví a la versión 13.10 a pesar de que el comando
cat /etc/lsb-release
devuelve:
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=14.04
DISTRIB_CODENAME=trusty
DISTRIB_DESCRIPTION="Ubuntu 14.04 LTS"

¿Realmente tengo instalado el 14.04, o está instalado a medias? y en tal caso, ¿Cómo soluciono o completo la actualización?

Saludos

Imagen de Jose Luis 1320
+1
0
-1

de la apariencia es completamente igual y sobre los menús, esos no se activan solos, debes activarlos tu.

Y no "vuelves" solo por volver a la versión 13.10.

"No se han podido instalar las actualizaciones. Su sistema puede haber quedado en un estado inestable." y algo más que no alcancé a copiar...

Nadie es adivino ni lo sabe todo, si no das la información completa, no esperes ayuda útil.

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de Luis Leone
+1
0
-1

Si tienes separado el sistema de home,una instalación limpia tarda 15 minutos y te ahorras muchos horas de problema y deshacer la actualización no se puede,saludos y suerte.

+1
0
-1
Imagen de alemsqdt
+1
0
-1

Gracias José Luis por tu aporte, no entiendo a qué te referís con "volver sólo por volver", pues en este caso el sistema no volvería "solo por volver" sino por causa de una actualización fallida, razón bien justificada (no sé si funciona así, esa es mi duda).
Respecto a

Nadie es adivino ni lo sabe todo, si no das la información completa, no esperes ayuda útil.

No espero ayuda de un adivino ni de quien lo sepa todo, sino de alguien con buena predisposición que sepa sólo algunas cosas. Aunque incompleta, no considero en absoluto vaga la info que doy. Y creo que es suficientemente útil para saber que "no se han podido instalar las actualizaciones y mi sistema puede haber quedado en un estado inestable". La ayuda útil que esperaría de alguien que "sólo sepa algunas cosas" podría consistir en:
Saber si hay algún comando que se pueda ejecutar o algún archivo que se pueda consultar donde figuren los detalles de mi actualización y los errores que se produjeron.
O si hay alguna manera de realizar una nueva actualización para asegurarme de que está bien.
O si hay alguna manera de hacer "saltar" nuevamente este error para poder copiar lo que faltó. Ese consejo sería mucho más útil que el comentario "nadie es adivino"

Saludos.

+1
0
-1
Imagen de Goyo
+1
0
-1

No termino de entender qué es lo que te preocupa. Si quieres saber si tienes actualizaciones pendientes ejecuta el gestor de actualizaciones. Si hay algo que no funciona como crees que debería, explica el problema ("no funciona" no es una explicación).

Asegurarse de que todo está bien es imposible porque no todo está bien, el software está lleno de bugs.

+1
0
-1
Imagen de Jose Luis 1320
+1
0
-1

...¿que esperas para dar los detalles necesarios para que alguien o yo te podamos ayudar?

al menos a mi no me gusta adivinar y por eso digo enérgicamente que la información ambigua no es útil.

Tu consideración no representa ninguna objeción ante el hecho de que tu información es vaga en algún sentido... pero bueno al menos alguien te ha ayudado, yo simplemente no lo hago con información vaga, no me gusta dar información que pueda perjudicar a alguien debido a una interpretación errónea consecuente de la vaguedad antes mencionada.

La ayuda útil que puedas esperar de alguien, no es posible con "no se han podido instalar las actualizaciones y mi sistema puede haber quedado en un estado inestable" por que:

¿Como te voy a decir que hacer si no se como actualizaste?, yo se como actualizar de muchas maneras, pero con eso no puedo decirte cual es tu problema y ayudarte a corregirlo.

Ni mucho menos voy a saber que puedes hacer para reproducir tu error ¡si no se cual es tu error! "creo que mi sistema se ha vuelto inestable" no es una descripción de TU problema ¡un sistema inestable tiene MIL errores o mas!

Entonces, no puedo darte una ayuda mas útil que RTFM o STFW o para no ser tan feo "por favor dame mas informacion".

Saludos!.

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de alemsqdt
+1
-1
-1

Hola, ante todo gracias por el interés. Respondo algunas de vuestros comentarios y consultas a ver si pueden ayudarme.
de Goyo:

Si quieres saber si tienes actualizaciones pendientes ejecuta el gestor de actualizaciones. Si hay algo que no funciona como crees que debería, explica el problema ("no funciona" no es una explicación).

Además de que no he puesto una explicación tal como "no funciona", lo que quiero saber es si hay alguna manera de encontrar los fallos que evidentemente ocurrieron durante mi instalación, porque al finalizar sólo me saltó el error que alcancé a leer pero no a copiar porque al minimizar y abrir otra ventana ya no pude acceder más al mensaje (tal como me ocurre con otro error que me aparece todos los días al iniciar el sistema). Eso es lo que intento preguntar de manera bien explícita en mi anterior mensaje:

Saber si hay algún comando que se pueda ejecutar o algún archivo que se pueda consultar donde figuren los detalles de mi actualización y los errores que se produjeron.
O si hay alguna manera de realizar una nueva actualización para asegurarme de que está bien.
O si hay alguna manera de hacer "saltar" nuevamente este error para poder copiar lo que faltó

, no hablo de actualizaciones pendientes ni de algo que no funciona, sino de controlar el estado y el proceso de la actualización que hice por si hay algún error grave que, luego de detectarlo pueda solucionar.
--
de José Luis:

¿Como te voy a decir que hacer si no se como actualizaste?

OK, actualicé a través del método gráfico como se indica en http://www.ubuntu.com/download/desktop/upgrade - no sabía que el problema podía variar según el método que eligiera de actualización (como bien dijiste, nadie es adivino)

Ni mucho menos voy a saber que puedes hacer para reproducir tu error ¡si no se cual es tu error!

Yo tampoco lo sé, y no se trata de saber cuál es, pues tal vez hay miles. Se trata justamente de saber si hay alguna manera de acceder a los detalles del proceso de actualización y a los errores que hubo), o dicho de otra manera, saber si

¿Realmente tengo instalado el 14.04, o está instalado a medias?

Ante lo cual la ayuda o respuesta esperada sería del tipo: "ejecutá el comando xxxxx para saber qué errores ocurrieron en la actualización" o "podés estar tranquilo, lo que te devuelve el comando cat /etc/lsb-release implica que la actualización ha sido correcta" o "el comando cat /etc/lsb-release no te sirve para fiarte de que fue correcta, para saber esto debés hacer esto otro" (si ya supiera todo esto, no estaría consultando)
Finalmente,

Tu consideración no representa ninguna objeción ante el hecho de que tu información es vaga en algún sentido...

. Es cierto, es vaga EN ALGÚN SENTIDO, la mayoría lo son porque la gente no sabe todo, yo entiendo que no se puede obtener ayuda útil cuando la info es vaga EN TODO SENTIDO, pero acá doy datos que se pueden aprovechar si hay voluntad de ayudar. Si se fijan bien no es una consulta del tipo "actualicé y hubo un error", he puesto todo lo que sé:

No se ha podido instalar <> La actualización continuará, pero es posible que el paquete <> no se encuentre en un estado funcional. Considere la posibilidad de enviar un informe de error a cerca de esto.
dependency problems - leaving unconfigured

,

No se han podido instalar las actualizaciones. Su sistema puede haber quedado en un estado inestable.

,

cat /etc/lsb-release
devuelve:
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=14.04
DISTRIB_CODENAME=trusty
DISTRIB_DESCRIPTION="Ubuntu 14.04 LTS"

y algunas cosas que probé antes de preguntar:

me fijé en algunas novedades de 14.04 (e.g que los menús aparezcan en la ventana desmaximizada) y no funcionan en mi sistema

que ya respondió favorablemente J.Luis si no me equivoco, pero creo que ustedes se enfocan sólo en la desgraciada frase

algo más que no alcancé a copiar...

. Acepto que este ha sido mi principal error, volveré a preguntar en algún otro foro omitiendo esta frase. Entiendo que hay gente que olvida o desconoce la práctica de dar toda la info posible, buscar en otros foros antes de preguntar, etc. y les aseguro que no es mi costumbre, pueden ver mi post http://www.ubuntu-es.org/node/181454#.U2qzSo810u4 en el que también puse todo lo que había podido averiguar antes de preguntar (aunque tampoco tuvo mucho éxito pues nadie respondió -- tal vez fue demasiado largo...)
Saludos

+1
-1
-1
Imagen de Goyo
+1
0
-1

Además de que no he puesto una explicación tal como "no funciona"

Vaya, habré interpretado mal eso de "me fijé en algunas novedades de 14.04 (e.g que los menús aparezcan en la ventana desmaximizada) y no funcionan en mi sistema"

no hablo de actualizaciones pendientes

Tú no, pero el mensaje de error sí: "No se han podido instalar las actualizaciones. Su sistema puede haber quedado en un estado inestable." Ahora bien, si no quieres hablar de lo que hablan los mensajes de error seguramente es mejor que no los copies, para centrar la conversación y no dispersarnos.

ni de algo que no funciona, sino de controlar el estado y el proceso de la actualización que hice por si hay algún error grave que, luego de detectarlo pueda solucionar.

Según yo un error grave es el que afecta gravemente al funcionamiento y normalmente se detecta porque hay algo que no funciona. Tú evidentemente te refieres a otra cosa, pero yo no sé qué puede ser.

+1
0
-1
Imagen de alemsqdt
+1
-1
-1

Hola Goyo, estás en lo cierto, interpretaste mal, ese no es el problema que quiero solucionar sino una evidencia de que la actualización sufrió errores (atención a "e.g" significa "por ejemplo"). Y aún en el caso de que se tratara del error que me molesta, en el mensaje doy la información sugerida en las reglas del foro que copio abajo:
"Cómo y dónde preguntar
Aporta toda la información QUE PUEDAS sobre tu problema:
Hardware implicado en el problema. --> el problema no era el hardware, aunque si interesa: TOSHIBA Satellite, procesador Core i5... si esto era imprescindible pido disculpas por haberlo omitido.
Versión de Ubuntu que usas. --> de 13.10 a 14.04 LTS
Nombre y versión del software relacionado con el problema --> no era problema de software (gestor de actualizaciones en todo caso y creo que se cae de maduro)
Cómo surgió el problema, qué hiciste para intentar solucionarlo... --> prácticamente todo mi comentario es concreta y concisamente eso.
¿Faltaba algo más? - seguramente, pues no me dedico a solucionar estos problemas y no puedo imaginarme qué otras cosas pueden influir en el fallo. Esa es toda la información que PUDE dar. Si me dijeran qué info falta y cómo acceder a ella tal vez la podría agregar.

Me llamó la atención que copiar y pegar los mensajes de error distraiga y confunda... eso no lo entendí.

Tú evidentemente te refieres a otra cosa, pero yo no sé qué puede ser.

No sé si hay una terminología específica para "error grave" que lo diferencia de otro tipo de error. Igualmente no creo que eso impida comprender a qué me refiero, pues no veo otra manera más clara de expresarlo:

Saber si hay algún comando que se pueda ejecutar o algún archivo que se pueda consultar donde figuren los detalles de mi actualización y los errores que se produjeron.
O si hay alguna manera de realizar una nueva actualización para asegurarme de que está bien.
O si hay alguna manera de hacer "saltar" nuevamente este error para poder copiar lo que faltó

--
Disculpenme gente, pero no coincido en absoluto ni con vuestro criterio ni con vuestra actitud. Veo que el tema "A" que era cómo rastrear los errores ocurridos en mi actualización, se ha desviado hacia una discusión sobre si la info es completa o no (ni siquiera hacia cómo completarla en tal caso, a pesar de que sugerí me lo informaran), por mi parte dejaré el tema aquí, por respeto al blog, a vuestro tiempo y al mío.
Saludos

+1
-1
-1